include:
  - project: 'gitops-demo7/infra/templates'
    file: '/terraform.gitlab-ci.yml'

.secrets:
  secrets:
    AWS_ACCESS_KEY_ID:
      vault: infrastructure/aws/AWS_ACCESS_KEY_ID@secret
      file: false
    AWS_SECRET_ACCESS_KEY:
      vault: infrastructure/aws/AWS_SECRET_ACCESS_KEY@secret
      file: false
    AWS_REGION:
      vault: infrastructure/aws/AWS_REGION@secret
      file: false
    GITLAB_TOKEN:
      vault: infrastructure/gitlab/GITLAB_TOKEN@secret
      file: false

